package com.bocloud.cmp.model;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;

public class ConsoleMessage {
    /**
     * 只有返回里面才有publisher
     * <p>
     * null
     */
    private String publisher;
    /**
     * "UI", "volume.create.end","volume.delete.end","compute.instance.log",
     */
    @JSONField(name = "msg_type")
    private String msgType;
    private MessagePayload payload;
    /**
     * "success"
     */
    private String priority;
    /**
     * 只有返回里面才有msg_time
     * <p>
     * "2019-01-07T08:49:11.515403"
     */
    @JSONField(name = "msg_time", format = "yyyy-mm-dd'T'HH:mm:ss.SSSSSS")
    private Date gmtCreate;
    /**
     * root
     */
    @JSONField(name = "msg_user")
    private String user;
    /**
     * a4c2b2cf1e0b437ba7735f52a7037cc6
     */
    @JSONField(name = "project_id")
    private String projectId;
    /**
     * 只有返回里面才有id
     * <p>
     * 168
     */
    private Long id;

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public MessagePayload getPayload() {
        return payload;
    }

    public void setPayload(MessagePayload payload) {
        this.payload = payload;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
